import 'package:car_app/model/point.dart';

extension PointMapConverter on Point {
  static const String longitudeFieldName = "longitude";
  static const String latitudeFieldName = "latitude";

  Map<String, dynamic> toMap() => {
    longitudeFieldName: longitude,
    latitudeFieldName: latitude,
  };

  static Point fromMap(Map<String, dynamic> map) {
    return Point(
      latitude: map[latitudeFieldName],
      longitude: map[longitudeFieldName],
    );
  }
}
