import 'package:car_app/model/user.dart';

abstract class AuthenticationService<T> {
  String get usernameFieldName;
  String get logoPath;
  String get providerName;
  Future<User<T>> get user;
  Future<bool> isLoggedIn();
  Future<void> loginUsernamePassword(String username, String password);
  Future<void> logout();
  Future<void> register(String name, String username, String password);
}
